

 if not exists ( select * FROM [gui_funcionalidad] where   nombreControl = 'doc_documento_gasto' and active = 1 and id_tipoFuncionalidad = 3)
 BEGIN
 DECLARE @uid varchar(1000)
 set @uid =  (select [uid]  FROM [gui_funcionalidad] where id = '1') 
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'documento gasto',
	'',
	'',
	'',
	'',
	'/forms/doc/doc_documento_gasto.aspx',
	'',
	'1',
	'doc_documento_gasto',
	'',
	'3',
	'1',
	'3'
	END

	
 if not exists ( select * FROM [gui_funcionalidad] where   nombreControl = 'doc_documento_gasto' and active = 1 and id_tipoFuncionalidad = 1)
 BEGIN
 DECLARE @ui varchar(1000)
 set @ui =  (select [uid]  FROM [gui_funcionalidad] where id = '1') 
 DECLARE @id varchar(1000)
 set @id =  (select top 1 id FROM [gui_funcionalidad] where   nombreControl = 'doc_documento_gasto' and active = 1 and id_tipoFuncionalidad = 3) 
 
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @ui,
	'01',
	'01',
	'01',
	'Info Basica',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento_gasto',
	'',
	'1',
	@id,
	'1'
	END